Data.Aeson.Compat

# Encoding and decoding

## Direct encoding

decode

decode'

data AesonException

eitherDecode

eitherDecode'

encode

## Variants for strict bytestrings

decodeStrict

decodeStrict'

eitherDecodeStrict

eitherDecodeStrict'

# Core JSON types

data Value

type Encoding

fromEncoding

type Array

type Object

# Convenience types

data DotNetTime

# Type conversion

class FromJSON a

data Result a

fromJSON

class ToJSON a

class KeyValue kv

## Generic JSON classes and options

class GFromJSON arity f

class GToJSON arity f

class GToEncoding arity f

genericToJSON

genericToEncoding

genericParseJSON

defaultOptions

# Inspecting ``Value`s`

withObject

withText

withArray

withNumber

withScientific

withBool

# Constructors and accessors

data Series

pairs

foldable

(.:)

(.:?)

(.:!)

(.!=)

object

# Parsing

json

json'

value

value'

data Parser a